<template>
  <v-btn color="primary" outlined @click="handleDirectEmail">
    Mala Direta
    <v-icon right>mdi-email</v-icon>
  </v-btn>
</template>

<script>
export default {
  name: 'DirectEmailButton',
  components: {},
  data: () => ({}),
  computed: {
    activeEntityUrl() {
      return '/entity/' + this.$route.params.entityName
    },
  },
  methods: {
    handleDirectEmail() {
      this.$router.push(`${this.activeEntityUrl}/directMessage`).catch((err) => {})
    },
  },
}
</script>
